package io.fabric8.component.jdbc;

import org.apache.camel.Exchange;
import org.apache.camel.Processor;

import org.springframework.util.LinkedCaseInsensitiveMap;

public class TableProcessor implements Processor {

	public void setIdColumn(String idColumn) {
		this.idColumn = idColumn;
	}

	public void setProjectColumn(String projectColumn) {
		this.projectColumn = projectColumn;
	}

	public void setMandaysColumn(String mandaysColumn) {
		this.mandaysColumn = mandaysColumn;
	}

	private String idColumn;
	private String projectColumn;
	private String mandaysColumn;

	@Override
	public void process(Exchange exchange) throws Exception {
		LinkedCaseInsensitiveMap received = exchange.getIn().getBody(LinkedCaseInsensitiveMap.class);
		boolean empty = received.isEmpty();
		System.out.println("Received empty LinkedCaseInsensitiveMap:" + empty);

		Integer id = (Integer) received.get(idColumn);
		String project = (String) received.get(projectColumn);
		Integer mandays = (Integer) received.get(mandaysColumn);
		String betterBody = id.toString() + "," + project + "," + mandays.toString();
		System.out.println("Transformed to csv:" + betterBody);

		exchange.getIn().setBody(betterBody);
	}
}
